package com.xypower.wpywapp.ui;

import android.os.Bundle;
import android.view.View;

import androidx.navigation.NavController;
import androidx.navigation.Navigation;
import androidx.navigation.ui.NavigationUI;

import com.xypower.wpywapp.BR;
import com.xypower.wpywapp.R;
import com.xypower.wpywapp.base.BaseActivity;
import com.xypower.wpywapp.databinding.ActivityBottomBinding;
import com.xypower.wpywapp.interfaces.MainActCallback;
import com.xypower.wpywapp.page.DataBindingConfig;
import com.xypower.wpywapp.viewmoel.BottomViewModel;

public class BottomActivity extends BaseActivity {

    private ActivityBottomBinding binding;
    private BottomViewModel mState;

    @Override
    protected void initViewModel() {
        mState = getActivityScopeViewModel(BottomViewModel.class);
    }

    @Override
    protected DataBindingConfig getDataBindingConfig() {
        return new DataBindingConfig(R.layout.activity_bottom, BR.vm, mState).addBindingParam(BR.callback, new MainActCallback() {
            @Override
            public void link(View view) {

            }

            @Override
            public void getInfo(View view) {

            }

            @Override
            public void takePic(View view) {

            }
        });
    }


    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        binding = (ActivityBottomBinding) getBinding();
        NavController navController = Navigation.findNavController(this, R.id.nav_host_fragment_activity_bottom);
        NavigationUI.setupWithNavController(binding.navView, navController);
    }

}