package com.xypower.wpywapp.ui.dashboard;

import android.os.Bundle;
import android.view.View;

import androidx.annotation.NonNull;
import androidx.annotation.Nullable;

import com.xypower.wpywapp.BR;
import com.xypower.wpywapp.R;
import com.xypower.wpywapp.base.BaseFragment;
import com.xypower.wpywapp.page.DataBindingConfig;

public class DashboardFragment extends BaseFragment {

    private DashboardViewModel mStates;

    @Override
    protected void initViewModel() {
        mStates = getFragmentScopeViewModel(DashboardViewModel.class);
    }

    @Override
    protected DataBindingConfig getDataBindingConfig() {
        return new DataBindingConfig(R.layout.fragment_dashboard, BR.vm,mStates);
    }


    @Override
    public void onViewCreated(@NonNull View view, @Nullable Bundle savedInstanceState) {
        super.onViewCreated(view, savedInstanceState);
        //TODO tip 3: 从 PublishSubject 接收回推的数据，并在回调中响应数据的变化，
        // 也即通过 BehaviorSubject（例如 ObservableField）通知控件属性重新渲染，并为其兜住最后一次状态，
        //如这么说无体会，详见 https://xiaozhuanlan.com/topic/6741932805


    }

    @Override
    public void onDestroyView() {
        super.onDestroyView();
    }
}